
Figure - Bug #112111
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110892 (New): AF-V1.0功能测试-WIFI

【AF】【EVT】【WIFI】输入密码后点击连接按钮，闪退回主页面
2022-09-23 11:01 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-23

Priority: Urgent Due date: 2022-09-23

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V1.0_update_20220925

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220923.alpha

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019

Reproducibility: Every time Fixed Version: 2022-09-24

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开WiFi

2、选择一个已知密码的热点进行连接

3、输入密码后，点击连接按钮

【预期结果】

3、成功连接热点

【实际结果】

3、点击连接按钮，闪退回主页面

【复现率】

必现

History

#1 - 2022-09-23 11:11 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-王伟 to CD AF-陈羽杰

#2 - 2022-09-23 11:15 - CD AF-陈羽杰

- Due date set to 2022-09-23

- % Done changed from 0 to 80

- Resolution changed from -- to FIXED

- Root cause set to 编码问题

#3 - 2022-09-23 11:18 - CD AF-陈羽杰

■ Current conclusion

已经分析定位到问题

■ My analysis

修改为双屏显示后，与原生逻辑冲突，导致settings页面被关闭
■ Next action 

修改原生逻辑，使之不关闭页面

#4 - 2022-09-23 14:11 - CDTS_TEST 王成

- Priority changed from Normal to Urgent

- Severity changed from Normal to Critical

#5 - 2022-09-23 14:17 - CD AF-陈羽杰

■ Current conclusion

问题已通过代码解决

■ My analysis

修改为双屏显示后，与原生逻辑冲突，导致settings页面被关闭

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/151016

#6 - 2022-09-23 14:17 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 80 to 100

#7 - 2022-09-23 14:18 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

■ Current conclusion

问题已通过代码解决

■ My analysis

修改为双屏显示后，与原生逻辑冲突，导致settings页面被关闭

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/151016

#8 - 2022-09-23 14:18 - CD AF-陈羽杰

- Degrated changed from -- to No

#9 - 2022-09-23 15:06 - CD TPM-申艳艳

- Fixed Version set to 2022-09-24

#10 - 2022-09-23 15:10 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V1.0_update_20220925

#11 - 2022-09-24 13:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#12 - 2022-09-24 13:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019

#13 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-04 2/3

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/151016
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/151016


151016 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Wifi Page Crash Bug1.Fix Go back to the wifi page and launch directlyTC-RID: 1201-0201801IssueID: TS-R-DF-112111Change-Id:

I3bb6b444ca53fbc834d7a205252d168abcc5c293

Files

wifi-unconnect.txt 5.23 MB 2022-09-23 CD TEST-方永红
